com.saxonica.xslt3.instruct

## Class ShallowCopyRuleSet

- java.lang.Object
- - com.saxonica.xslt3.instruct.ShallowCopyRuleSet

- All Implemented Interfaces:
    Serializable, BuiltInRuleSet

      public class ShallowCopyRuleSet
      extends Object
      implements BuiltInRuleSet

  The built-in rule set introduced in XSLT 3.0, which is effectively an identity template.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface net.sf.saxon.trans.BuiltInRuleSet

      `DEEP_COPY, DEEP_SKIP, FAIL, SHALLOW_COPY, SHALLOW_SKIP, TEXT_COPY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDefaultAction(int nodeKind)` Get the default action for unmatched nodes
    `static ShallowCopyRuleSet` | `getInstance()` Get the singleton instance of this class
    `void` | `process(Item item, ParameterSet parameters, ParameterSet tunnelParams, XPathContext context, int locationId)` Perform the built-in template action for a given node.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static ShallowCopyRuleSet getInstance()

      Get the singleton instance of this class
      Returns:
        the singleton instance

    - #### process

          public void process(Item item,
                     ParameterSet parameters,
                     ParameterSet tunnelParams,
                     XPathContext context,
                     int locationId)
                       throws XPathException

      Perform the built-in template action for a given node.
      Specified by:
        `process` in interface `BuiltInRuleSet`
      Parameters:
        `item` -
        `parameters` - the parameters supplied to apply-templates
        `tunnelParams` - the tunnel parameters to be passed through
        `context` - the dynamic evaluation context
        `locationId` - location of the instruction (apply-templates, apply-imports etc) that caused the built-in template to be invoked @throws net.sf.saxon.trans.XPathException if any dynamic error occurs
      Throws:
        `XPathException` - if any dynamic error occurs

    - #### getDefaultAction

          public int getDefaultAction(int nodeKind)

      Get the default action for unmatched nodes
      Specified by:
        `getDefaultAction` in interface `BuiltInRuleSet`
      Parameters:
        `nodeKind` - the node kind
      Returns:
        the default action for unmatched nodes: one of DEEP_COPY, APPLY_TEMPLATES, DEEP_SKIP, FAIL

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.